All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
clear.hpp File Reference

Generic clear functionality for different vector and matrix types. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/traits/size.hpp"`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename VectorType >
void | viennacl::traits::clear (VectorType &vec)
| Generic routine for setting all entries of a vector to zero. This is the version for non-ViennaCL objects. More...
template<typename ScalarType , unsigned int AlignmentV>
void | viennacl::traits::clear (viennacl::vector< ScalarType, AlignmentV > &vec)
| Generic routine for setting all entries of a vector to zero. This is the version for ViennaCL objects. More...

## Detailed Description

Generic clear functionality for different vector and matrix types.

Definition in file clear.hpp.